Maturity Bucket Percentiles

The maturity bucket percentiles endpoint groups bond inventory by maturity
buckets and calculates yield to worst percentiles for each bucket.

This endpoint accepts the same filtering parameters as the inventory endpoint
to filter bonds, then groups them by maturity ranges and returns ask and bid
yield to worst (YTW) values at the specified percentile for each bucket.

Bucket Selection:

  • Use 'bucket_selection' parameter to choose between 'maturity_date' or 'workout_date' for grouping
  • Use 'buckets' parameter to filter for specific maturity buckets only

Available maturity buckets:

  • 1-3 mo
  • 3-6 mo
  • 6-9 mo
  • 9-12 mo
  • 1-1.5 yr
  • 1.5-2.5 yr
  • 2.5-3.5 yr
  • 3.5-4.5 yr
  • 4.5-5.5 yr
  • 5.5-6.5 yr
  • 6.5-7.5 yr
  • 7.5-8.5 yr
  • 8.5-9.5 yr
  • 9.5-10.5 yr
  • 10.5-11.5 yr
  • 11.5-12.5 yr
  • 12.5-13.5 yr
  • 13.5-14.5 yr
  • 14.5-15.5 yr
  • 15.5-16.5 yr
  • 16.5-17.5 yr
  • 17.5-18.5 yr
  • 18.5-19.5 yr
  • 19.5-20.5 yr
  • 20.5-21.5 yr
  • 21.5-22.5 yr
  • 22.5-23.5 yr
  • 23.5-24.5 yr
  • 24.5-25.5 yr
  • 25.5-26.5 yr
  • 26.5-27.5 yr
  • 27.5-28.5 yr
  • 28.5-29.5 yr
  • 29.5+ yr
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
string
required

The filters for live inventory are in the format of a JSON object. In a
filter object, each key is either a field to filter on or an operator.
Each value is either a filter condition object or, in the case of
certain operators, an array of filter objects.

A filter condition object can contain the following fields:

  • equal_to: Exact value for the filter.
  • not_equal_to: Not equal to value for the filter.
  • greater_than: Greater than value for the filter.
  • greater_than_or_equal_to: Greater than or equal to value for the filter.
  • less_than: Less than value for the filter.
  • less_than_or_equal_to: Less than or equal to value for the filter.
  • in: Array of values for the filter.
  • not_in: Array of values not to include in the filter.
  • is_null: Boolean to filter for null / not-null values.
  • includes: String to include in the filter.
  • not_includes: String not to include in the filter.
  • starts_with: String to start with in the filter.
  • ends_with: String to end with in the filter.

The fields that can be filtered on are:

  • price
  • yield_to_maturity
  • yield_to_worst
  • isin
  • cusip
  • issuer
  • sector
  • description
  • type
  • issue_date
  • maturity_date
  • workout_date
  • treasury_benchmark
  • sp_rating
  • lowest_rating_rank
  • coupon
  • currency
  • country_issue
  • country_of_risk
  • emerging_status
  • liquidity_micro_buy
  • liquidity_micro_sell
  • liquidity_micro_aggregate
  • liquidity_retail_buy
  • liquidity_retail_sell
  • liquidity_retail_aggregate
  • liquidity_institutional_buy
  • liquidity_institutional_sell
  • liquidity_institutional_aggregate
  • Any of the other fields in the reference data model.

The operators that can be used are:

  • and: Array of filter objects to be combined with an AND operator.
  • not: Filter object to be negated.
  • or: Array of filter objects to be combined with an OR operator.

For example, a sample filter object might look like this:

{
  "yield_to_worst": {
    "greater_than": 6.5
  },
  "price": {
    "less_than": 100
  },
  "maturity_date": {
    "less_than": "2030-01-01",
    "greater_than": "2026-01-01"
  },
  "sp_rating": {
    "greater_than": "BBB"
  },
  "issuer": {
    "includes": "Apple"
  },
  "liquidity_institutional_buy": {
    "in": [3, 4, 5]
  },
  "or": [
    {
      "description": {
        "starts_with": "app"
      }
    },
    {
      "description": {
        "starts_with": "united"
      }
    }
  ]
}

This must be encoded as a JSON string in the query parameter.

number
required
0 to 100

The percentile value to calculate for each maturity bucket (0-100)

string
enum
Defaults to maturity_date

The date field to use for maturity bucket selection. Defaults to 'maturity_date'.

  • 'maturity_date': Group bonds by their maturity date
  • 'workout_date': Group bonds by their workout date (call adjusted maturity date)
Allowed:
string

Comma-separated list of specific maturity buckets to include in the response.
If not specified, all buckets with data will be returned.
Available buckets: 1-3 mo, 3-6 mo, 6-9 mo, 9-12 mo, 1-1.5 yr, 1.5-2.5 yr, 2.5-3.5 yr, 3.5-4.5 yr, 4.5-5.5 yr, 5.5-6.5 yr, 6.5-7.5 yr, 7.5-8.5 yr, 8.5-9.5 yr, 9.5-10.5 yr, 10.5-11.5 yr, 11.5-12.5 yr, 12.5-13.5 yr, 13.5-14.5 yr, 14.5-15.5 yr, 15.5-16.5 yr, 16.5-17.5 yr, 17.5-18.5 yr, 18.5-19.5 yr, 19.5-20.5 yr, 20.5-21.5 yr, 21.5-22.5 yr, 22.5-23.5 yr, 23.5-24.5 yr, 24.5-25.5 yr, 25.5-26.5 yr, 26.5-27.5 yr, 27.5-28.5 yr, 28.5-29.5 yr, 29.5+ yr

string

The risk group ID to filter for tradable inventory. If left null,
and a single risk group exists for the organization, it will be
used as the default risk group. If left null, and more than one
risk group exists, the request will fail.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json